Delete event trigger
import requests
url = "https://api.datagrid.com/v1/agents/{agent_id}/event-triggers/{trigger_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/agents/{agent_id}/event-triggers/{trigger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://api.datagrid.com/v1/agents/{agent_id}/event-triggers/{trigger_id} \
--header 'Authorization: Bearer <token>'{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Event Triggers
Delete event trigger
Delete an event trigger from the specified agent. This unregisters the underlying provider webhook subscription and stops the agent from running in response to the event.
DELETE
/
agents
/
{agent_id}
/
event-triggers
/
{trigger_id}
Delete event trigger
import requests
url = "https://api.datagrid.com/v1/agents/{agent_id}/event-triggers/{trigger_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/agents/{agent_id}/event-triggers/{trigger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://api.datagrid.com/v1/agents/{agent_id}/event-triggers/{trigger_id} \
--header 'Authorization: Bearer <token>'{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Path Parameters
Response
Event trigger deleted successfully